#include <bits/stdc++.h>

#define int long long
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()

using namespace std;

int n, k;
vector<int> cur;
vector<vector<int>> res;

void gen(int i) {
    if (i == n) {
        vector<bool> used(k);
        for (int x : cur) {
            used[x] = true;
        }
        bool ok = true;
        for (int x = 0; x < k; x++) {
            ok &= used[x];
        }
        if (ok) {
            res.push_back(cur);
        }
        return;
    }
    for (int x = 0; x < k; x++) {
        cur.push_back(x);
        gen(i + 1);
        cur.pop_back();
    }
}

void solve_case() {
    cin >> n >> k;
    vector<int> a(n);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }
    gen(0);
    int ans = 0;
    for (auto &v : res) {
        vector<int> add(k, 1), mx(k);
        for (int i = 0; i < n; i++) {
            mx[v[i]] = max(mx[v[i]], a[i] + add[v[i]]);
            add[v[i]]++;
        }
        int sum = 0;
        for (int i = 0; i < k; i++) {
            sum += mx[i];
        }
        ans = max(ans, sum);
    }
    cout << ans << '\n';
}

signed main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int t = 1;
//    cin >> t;
    while (t--) {
        solve_case();
    }
}